global
    log 127.0.0.1 local2
    chroot /var/lib/haproxy
    pidfile /var/run/haproxy.pid
    user haproxy
    group haproxy
    daemon
    stats socket /var/lib/haproxy/stats

listen postgresql_replication
    log global
    bind 127.0.0.1:{{ haproxy_postgresql_port }}
    mode tcp
    balance leastconn
    option allbackups
    retries 2
    timeout connect 5s
    timeout client 10800s
    timeout server 10800s
    server master {{ postgresql_master_host }}:5432 maxconn {{ postgresql_bdr_conf.max_connections }} check
    server slave {{ postgresql_backup_host }}:5432 maxconn {{ postgresql_bdr_conf.max_connections }} check backup
